@echo off
mode con cols=35 lines=15  
color 2F 
@ECHO OFF&PUSHD %~DP0
@%1 %2
@mshta vbscript:createobject("shell.application").shellexecute("%~s0","goto :runas","","runas",1)(window.close)&goto :eof
@:runas
GOTO MENU
:MENU
echo.
echo ==========功能菜单=============
echo.
echo 1 安装
echo.
echo 2 卸载
echo.

set /p  ID=输入数字：
if "%id%"=="1"  goto cmd1

if "%id%"=="2" goto cmd2

:cmd1
md C:\Users\%username%\AppData\Local\HiSuite\userdata >NUL 2>NUL
copy %~dp0bin\RunInfo.ini C:\Users\%username%\AppData\Local\HiSuite\userdata >NUL 2>NUL
mshta VBScript:Execute("Set a=CreateObject(""WScript.Shell""):Set b=a.CreateShortcut(a.SpecialFolders(""Desktop"") & ""\华为手机助手.lnk""):b.TargetPath=""%~dp0bin\HiSuite.exe"":b.WorkingDirectory=""%~dp0"":b.Save:close")
CLS && ECHO.&ECHO 完成！ &&PAUSE>NUL & EXIT

:cmd2
rd/s/q C:\Users\%username%\Documents\HiSuite >NUL 2>NUL
rd/s/q C:\Users\%username%\AppData\Local\HiSuite >NUL 2>NUL
del C:\Users\%username%\Desktop\华为手机助手.lnk>NUL 2>NUL
CLS && ECHO.&ECHO 完成！ &&PAUSE>NUL & EXIT
